<?php
$this->extend('/Common/view');
$this->assign('title', __d('buzz_diary_accounts', 'Payment Request'));
?>

<div class="row">
	<div class="col-xs-12">
		<div class="outline--septenary outline--thin background--white padding-gutters-1_2 basket">

			<div class="listing listing--booking">
				<div class="row">

					<div class="col-xs-12 col-sm-6 xs-extra-gutters-1--left sm-plus-extra-gutters-2--left">
						<h3><?php echo $data['AccountPaymentRequest']['reference']; ?></h3>
					</div>

					<div class="col-xs-4 col-sm-4">
						<strong><?php echo __d('buzz_diary_accounts', 'Recipient:'); ?></strong>
						<span class="large"><?php echo $data['Account']['full_name']; ?></span>
					</div>

					<div class="col-xs-4 col-sm-2">
						<strong><?php echo __d('buzz_diary_accounts', 'Amount:'); ?></strong>
						<span class="large"><?php echo $this->Number->price($data['AccountPaymentRequest']['amount']); ?></span>
					</div>

				</div>
			</div>

			<div class="row">
				<div class="col-xs-12 col-sm-2 col-sm-push-10 basket__total">
					<strong><?php echo __d('buzz_diary_accounts', 'Total:'); ?> <span class="large"><?php echo $this->Number->price($data['AccountPaymentRequest']['amount']); ?></span></strong>
				</div>
			</div>

		</div>
	</div>
</div>
<div class="content__spacer"></div>


<?php echo $this->Form->create(); ?>

<div class="row">
	<div class="col-xs-12 col-md-6">

		<h3><?php echo __d('buzz_diary_accounts', 'Billing Details'); ?></h3>

		<div class="form--side-labels form--compact validate">
			<?php echo $this->Element('BuzzCustomers.address_form'); ?>
			<?php echo $this->Form->input('CustomerAddress.email', ['label' => __d('buzz_diary_accounts', 'Email')]); ?>
			<?php echo $this->Form->input('CustomerAddress.telephone', ['label' => __d('buzz_diary_accounts', 'Telephone')]); ?>
		</div>

	</div>
	<div class="col-xs-12 col-md-6">

		<?php if (Configure::read('BuzzPurchase.onsite') === true): ?>
			<h3><?php echo __d('buzz_diary_accounts', 'Payment Details'); ?></h3>
			<div class="form--side-labels form--compact validate">
				<?php echo $this->element('BuzzPurchase.Forms/payment_form'); ?>
			</div>
		<?php endif; ?>

	</div>
</div>

<div class="booking__actions">
	<div class="row">
		<div class="col-xs-6">
			<?php echo $this->Html->link(__d('buzz_diary_accounts', 'Back'), '/', ['class' => 'button button--light background--septenary left']); ?>
		</div>

		<div class="col-xs-6">
			<?php echo $this->Form->button(__d('buzz_diary_accounts', 'Pay Now') . '<i class="fa fa-credit-card fa-inline"></i>', ['class' => 'button button--dark background--senary right']); ?>
		</div>
	</div>
</div>

<?php echo $this->Form->end(); ?>
